## helma.doc
Class DocPrototype

    java.lang.Object
      helma.doc.DocElement
          helma.doc.DocPrototype

    public class DocPrototype

extends DocElement

Field Summary

Fields inherited from class helma.doc.DocElement
`ACTION, APPLICATION, FUNCTION, MACRO, PROPERTIES, PROTOTYPE, SKIN, TEMPLATE, typeNames`

Constructor Summary
`protected` `DocPrototype(Prototype proto, DocElement parent)` creates a prototype based on a prototype of the application

Method Summary
`void` `checkInheritance()` checks the type.properites for _extend values and connected a possible parent prototype with this prototype.
`DocPrototype` `getParentPrototype()` Return this prototype's parent prototype
`void` `readFiles()` runs through the prototype directory and parses all helma files

Methods inherited from class helma.doc.DocElement
`addChild, addParameter, addTag, countChildren, debug, getChildElement, getChildren, getComment, getContent, getDocApplication, getElementName, getName, getParentElement, getPrototype, getType, getTypeName, hasParameter, listChildren, listParameters, listTags, listTags, setParent, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DocPrototype

    protected DocPrototype(Prototype proto,
                           DocElement parent)

  creates a prototype based on a prototype of the application

  Parameters:
    `proto` -
    `parent` -

Method Detail

### checkInheritance

    public void checkInheritance()

  checks the type.properites for _extend values and connected a possible parent prototype with this prototype. this can't be successfull at construction time but only -after- all prototypes are parsed and attached to a parent DocApplication object.

### getParentPrototype

    public DocPrototype getParentPrototype()

  Return this prototype's parent prototype

  Returns:
    this prototype's parent prototype

### readFiles

    public void readFiles()
                   throws java.io.IOException

  runs through the prototype directory and parses all helma files

  Throws:
    `java.io.IOException`

Copyright © 1998-1998-${year} Helma.org. All Rights Reserved.